Query Customer Contacts
curl --request GET \
--url https://api.jtl-cloud.com/erp/customers/{customerId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}/contacts"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Department": "Management",
"Honorific": "Herr",
"FirstName": "John",
"LastName": "Smith",
"PhoneNumber": "01234 / 123456-0",
"MobilePhoneNumber": "0162 / 1234567",
"EmailAddress": "john.smith@somemail.com",
"Fax": "01234 / 123456-13"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}customer
Query Customer Contacts
Query all contacts for a specific customer
GET
/
customers
/
{customerId}
/
contacts
Query Customer Contacts
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested contacts of the customer.
The contact person's department.
Example:
"Management"
The contact person's form of address.
Example:
"Herr"
The contact person's first name.
Example:
"John"
The contact person's last name.
Example:
"Smith"
The contact person's landline phone number.
Example:
"01234 / 123456-0"
The contact person's mobile number.
Example:
"0162 / 1234567"
The contact person's email address.
Example:
"john.smith@somemail.com"
The contact person's fax number.
Example:
"01234 / 123456-13"
Was this page helpful?